### Name: readRAST6
### Title: Read and write GRASS 6 raster files
### Aliases: readRAST6 readBinGrid writeRAST6 writeBinGrid rast.get6
###   rast.put6 readCELL6sp readFLOAT6sp writeRast6sp
### Keywords: spatial

### ** Examples

if (nchar(Sys.getenv("GISRC")) > 0) {
  spear <- readRAST6(c("geology", "elevation.dem"), cat=c(TRUE, FALSE), ignore.stderr=TRUE)
  table(spear$geology)
  system("r.stats -q -cl geology")
  boxplot(spear$elevation.dem ~ spear$geology)
  spear$sqdem <- sqrt(spear$elevation.dem)
  writeRAST6(spear, "sqdemSP", zcol="sqdem", NODATA=-9999.99, ignore.stderr=TRUE)
  system("r.info sqdemSP", ignore.stderr=TRUE)
  system("g.remove rast=sqdemSP")
  system("r.mapcalc \'quads0 = quads - 1\'", ignore.stderr=TRUE)
  system("r.stats -c quads0", ignore.stderr=TRUE)
  quads0 <- readRAST6("quads0", ignore.stderr=TRUE)
  table(quads0$quads0)
  quads0 <- readRAST6("quads0", ignore.stderr=TRUE, NODATA=0)
  table(quads0$quads0)
  system("g.remove rast=quads0")
}



